Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(40)

Unified Diff: tools/clang/scripts/update.sh

Issue 12746010: Implement clang tool that converts std::string("") to std::string(). (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Add copyright boilerplate to test files. Yay. Created 7 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tools/clang/scripts/update.sh
diff --git a/tools/clang/scripts/update.sh b/tools/clang/scripts/update.sh
index ed316be8c153f1458b0c4558ba239e7483c337c4..0a33894c964ce4c8d320f774b69e2b65e6d6a259 100755
--- a/tools/clang/scripts/update.sh
+++ b/tools/clang/scripts/update.sh
@@ -40,6 +40,8 @@ with_android=yes
# Mac builders.
is_asan_mac_builder_hackfix=
with_tools_extra=
+chrome_tools="plugins"
+
if [[ "${OS}" = "Darwin" ]]; then
with_android=
fi
@@ -69,6 +71,14 @@ while [[ $# > 0 ]]; do
--with-tools-extra)
with_tools_extra=yes
;;
+ --with-chrome-tools)
+ shift
+ if [[ $# == 0 ]]; then
+ echo "--with-chrome-tools requires an argument."
+ exit 1
+ fi
+ chrome_tools=$1
+ ;;
--help)
echo "usage: $0 [--force-local-build] [--mac-only] [--run-tests] "
echo "--bootstrap: First build clang with CC, then with itself."
@@ -79,6 +89,10 @@ while [[ $# > 0 ]]; do
echo "--is-asan-mac-builder-hackfix: Use older Clang" \
"to build ASan on Mac."
echo "--with-tools-extra: Also build the clang-tools-extra repository."
+ echo "--with-chrome-tools: Select which chrome tools to build." \
+ "Defaults to plugins."
+ echo " Example: --with-chrome-tools 'plugins empty-string'"
+ echo
exit 1
;;
esac
@@ -375,10 +389,9 @@ fi
# Build Chrome-specific clang tools. Paths in this list should be relative to
# tools/clang.
-CHROME_TOOL_DIRS="plugins"
# For each tool directory, copy it into the clang tree and use clang's build
# system to compile it.
-for CHROME_TOOL_DIR in ${CHROME_TOOL_DIRS}; do
+for CHROME_TOOL_DIR in ${chrome_tools}; do
TOOL_SRC_DIR="${THIS_DIR}/../${CHROME_TOOL_DIR}"
TOOL_DST_DIR="${LLVM_DIR}/tools/clang/tools/chrome-${CHROME_TOOL_DIR}"
TOOL_BUILD_DIR="${LLVM_BUILD_DIR}/tools/clang/tools/chrome-${CHROME_TOOL_DIR}"
« tools/clang/empty_string/EmptyStringConverter.cpp ('K') | « tools/clang/scripts/test_tool.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698